@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Serif+Text:ital@0;1&display=swap');
@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/7.0.1/css/all.min.css");
@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Rounded:opsz,wght,FILL,GRAD@24,300,0,0");

:root {
    --color-50: 245, 242, 239;
    --color-100: 236, 229, 223;
    --color-200: 216, 203, 192;
    --color-300: 197, 177, 160;
    --color-400: 177, 151, 129;
    --color-500: 99, 78, 61;
    --color-600: 126, 100, 78;
    --color-700: 95, 75, 58;
    --color-800: 63, 50, 39;
    --color-900: 32, 25, 19;
    --color-950: 16, 12, 10;
    --border-radius: 16px;
    --border-radius-lg: 24px;
}

body {
    font-family: "Inter", sans-serif;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.6;
}

html,
body {
    overflow-x: hidden;
}

.dm-serif-text {
    font-family: "DM Serif Text", serif;
    font-weight: 400;
    font-style: normal;
}

.wrapper {
    max-width: 85%;
    margin: 0 auto;
}

.section-spacer {
    padding: 4rem 0;
}

header {
    background: linear-gradient(to bottom, rgba(var(--color-200), 0.35), rgba(255, 255, 255, 1));
}

header .navbar {
    padding: 0.5rem 6rem;
    border-bottom: 1px solid rgba(var(--color-100));
}


header .navbar {
    background-color: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(2px);
}

header .navbar.scroll-fixed {
    /* transition: all 0.4s cubic-bezier(0.175, 0.885, 0.32, 2.2); */
    background-color: rgba(255, 255, 255, 0.075);
    backdrop-filter: blur(6px);
    width: 100%;
    z-index: 1000;
    position: fixed;
}

header.fixed-top::after {
    background: transparent;
}

header .navbar .navbar-brand {
    transform: scale(1.05);
}

header .navbar .navbar-toggler {
    border: none !important;
    padding: 0;
    color: rgba(var(--color-500)) !important;
}

header .navbar .navbar-toggler .icon {
    font-size: 2.25rem;
}

header .navbar .navbar-toggler:focus {
    box-shadow: none;
    outline: none;
}

header .offcanvas .offcanvas-header .btn-close:focus {
    box-shadow: none;
    outline: none;
}


header .offcanvas .offcanvas-body .navbar-nav {
    gap: 0.25rem;
}


header .navbar #navbarItems {
    justify-content: end;
}

header .navbar .navbar-nav .nav-item .nav-link,
header .offcanvas .offcanvas-body .nav-item .nav-link {
    color: rgba(var(--color-500));
    font-weight: 400;
    position: relative;
    padding: 0.35rem 1.25rem;
}

header .offcanvas .offcanvas-body .nav-item .nav-link {
    text-align: start;
}

header .navbar .navbar-nav .nav-item .nav-link.active,
header .offcanvas .offcanvas-body .nav-item .nav-link.active {
    background: rgba(var(--color-700), 0.075);
    background: radial-gradient(rgba(var(--color-700), 0.075), rgba(var(--color-700), 0.15));
    /* background-color: rgba(255, 255, 255, 0.1); */
    backdrop-filter: blur(10px);
    border-radius: var(--border-radius-lg);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.2);
}

footer {
    padding: 2.25rem 0;
    background: linear-gradient(to bottom, rgba(var(--color-200), 0.34), rgba(255, 255, 255, 1));
}

footer .footer-top {
    padding-bottom: 1rem;
    border-bottom: 1px solid rgba(var(--color-200));
}

footer .footer-top .links {
    padding-left: 0;
    display: flex;
    align-items: center;
    gap: 1rem;
    list-style: none;
}

footer .footer-top .links a {
    text-decoration: none;
    color: rgba(var(--color-800));
}

footer .footer-top .social-caption {
    color: rgba(var(--color-800));
    font-size: 1rem;
}

footer .footer-top .social {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    list-style: none;
    padding-left: 0.75rem;
}

footer .footer-top .social a {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}

footer .footer-top .social a:hover .icon {
    color: rgba(var(--color-400));
}

footer .footer-top .social .icon {
    font-size: 1.25rem;
    color: rgba(var(--color-700));
    transition: all 0.3s ease-in-out;
}

footer .footer-bottom {
    padding-top: 1.375rem;
    display: flex;
    justify-content: center;
    font-size: 0.875rem;
}

footer .footer-bottom {
    color: rgba(var(--color-800), 0.85);
}

.gradient-wrapper {
    position: relative;
    /* overflow-x: hidden;
    overflow-y: auto; */
    background: linear-gradient(to bottom, rgba(var(--color-200), 0.42), rgba(255, 255, 255, 1)), linear-gradient(to top, rgba(var(--color-200), 0.42), rgba(255, 255, 255, 1));
    background-size: 100% 60%, 100% 40%;
    background-position: top, bottom;
    background-repeat: no-repeat;
}

.hero {
    height: calc(100vh - 80px);
    padding: 8rem 1rem 3rem 1rem;
    position: relative;
    background: url(../assets/hero.svg) no-repeat;
    background-position: bottom;
    background-size: 100%;
    margin-bottom: -2px;
    z-index: 1;
}

.hero .hero-content .wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
}

.hero .hero-content .hadith {
    max-width: 56%;
    padding-left: 3.5rem;
}

.hero .hero-content .hadith p {
    font-size: 1.875rem;
    /* max-width: 70%; */
    color: rgba(var(--color-500));
}

.hero .hero-content .hadith .source {
    font-size: 1rem;
    color: rgba(var(--color-950));
}

.hero .hero-content .hadith .source .inner-text {
    color: rgba(var(--color-950), 0.8);
}

.home .feature .content {
    max-width: 70%;
}

.home .feature .content .icon {
    font-size: 2rem;
    color: rgba(var(--color-700));
    margin-bottom: 1rem;
}

.home .feature .content h2 {
    font-size: 2.375rem;
    margin-bottom: 0.75rem;
    color: rgba(var(--color-800));
    font-weight: 700;
}

.home .feature .content p {
    font-size: 1.125rem;
    color: rgba(var(--color-800), 0.70);
    line-height: 1.65;
}

.home .feature.qibla {
    padding-bottom: 0;
}

.home .download-app {
    padding-bottom: 0;
    padding-top: 6.5rem;
}

.home .download-app .content {
    max-width: 85%;
}

.home .download-app .content h2 {
    font-size: 2.375rem;
    margin-bottom: 0.75rem;
    color: rgba(var(--color-800));
    font-weight: 700;
}

.home .download-app .content p {
    font-size: 1.125rem;
    color: rgba(var(--color-800), 0.70);
    line-height: 1.65;
}

.home .download-app .content .cta,
.about .app-details .cta {
    background-color: #ffffff;
    color: #000000;
    border-radius: 10px;
    text-decoration: none;
    /* padding: 0.425rem 1rem; */
    padding: 0.35rem 0.5rem;
    display: flex;
    align-items: center;
    /* gap: 0.375rem; */
    border: 1px solid transparent;
}

.home .download-app .content .cta:hover,
.about .app-details .cta:hover {
    border: 1px solid rgba(var(--color-400), 1);
    background: rgba(var(--color-100), 1);
    transition: all 0.4s ease-in-out;
}

.home .download-app .content .cta .button-text,
.about .app-details .cta .button-text {
    line-height: 1.3;
    padding-left: 0.375rem;
}

.home .download-app .content .cta .button-text span:last-child,
.about .app-details .cta .button-text span:last-child {
    font-size: 0.875rem;
}

.home .download-app .content .cta .small,
.about .app-details .cta .small {
    font-size: 0.75rem;
}


.home .download-app .content .cta i,
.about .app-details .cta i {
    font-size: 1.75rem;
    color: rgba(var(--color-700));
}

.home .download-app .content .cta i.fa-apple,
.about .app-details .cta i.fa-apple {
    font-size: 2.125rem;
    margin-left: -7px;
}

.home .download-app .content .cta span {
    color: rgba(var(--color-800));
}

/* 
.home .download-app .screen-img {
    margin-left: -18%;
} */

.animate-left,
.animate-right {
    opacity: 0;
    transform: translateX(40px);
    transition: all 0.7s ease-out;
}

.animate-left {
    transform: translateX(-40px);
}

.animate-left.active,
.animate-right.active {
    opacity: 1;
    transform: translateX(0);
}

.offcanvas {
    display: none !important;
}

.page-banner {
    position: relative;
    width: 100%;
    height: 65vh;
    display: flex;
    align-items: flex-end;
    padding-bottom: 1.5rem;
    background-position: bottom center !important;
    background-size: 100% !important;
    margin-bottom: -1px;
    z-index: 1;
    flex-direction: row;
    align-content: center;
}

.page-banner.about-banner {
    background: url(../assets/about_bg.svg) no-repeat;
}


.page-banner.contact-banner {
    background: url(../assets/contact.svg)no-repeat;
}


.page-banner.privacy-banner {
    background: url(../assets/privacy_banner.svg)no-repeat;
}

.page-banner.terms-banner {
    background: url(../assets/privacy_banner.svg)no-repeat;
}

.page-banner .banner-heading {
    padding-bottom: 12rem;
    width: 100%;
}

.page-banner .banner-heading h3 {
    font-size: 2.125rem;
    color: rgba(var(--color-500));
    font-weight: 600;
    margin-bottom: 0.625rem;
}

.page-banner .banner-heading p {
    color: rgba(var(--color-800));
    font-size: 1rem;
}

.page-banner .banner-bg {
    position: absolute;
    bottom: 0;
    width: 100%;
}

.page-banner .banner-bg img {
    width: 100%;
    object-fit: cover;
}

.privacy,
.terms {
    padding-bottom: 4rem;
}

.privacy a {
    text-decoration: none;
    color: rgba(var(--color-500));
}

.terms p {
    color: rgba(var(--color-500));
    font-size: 1rem;
    margin-bottom: 1.25rem;
}

.privacy p {
    color: rgba(var(--color-500));
    font-size: 1rem;
    margin-bottom: 0.5rem;
}

.privacy .heading {
    color: rgba(var(--color-500));
    font-size: 1.125rem;
    font-weight: 600;
    margin-bottom: 0.75rem;
    margin-top: 1rem;
}

.privacy .sub-heading {
    color: rgba(var(--color-500));
    font-size: 1rem;
    font-weight: 600;
    margin-top: 0.75rem;
}

.privacy ul li {
    color: rgba(var(--color-500));
    font-size: 1rem;
}

.about .about-content p,
.contact .contact-content p {
    color: rgba(var(--color-800));
    font-size: 1rem;
}

.about .about-content h4 {
    color: rgba(var(--color-800));
}

.about .app-details {
    padding-bottom: 0;
}

.about .app-details .content-wrapper {
    max-width: 70%;
}

.about .app-details h2 {
    font-size: 2.25rem;
    margin-bottom: 1rem;
    color: rgba(var(--color-800));
    font-weight: 600;
}

.about .app-details p {
    font-size: 1rem;
    color: rgba(var(--color-800), 0.90);
    line-height: 1.65;
}


.contact .contact-cta {
    padding: 3rem 0;
}

.contact .contact-cta .cta-wrap {
    /* padding: 1rem 1.5rem; */
    border-radius: var(--border-radius);
    /* border: 1px solid rgba(var(--color-200)); */
}

.contact .contact-cta .cta-wrap h6 {
    color: rgba(var(--color-800));
    font-weight: 600;
    margin-bottom: 0.75rem;
}

.contact .contact-cta .cta-wrap .mail {
    text-decoration: none;
    color: rgba(var(--color-800));
}

.contact .contact-cta .cta-wrap .cta-icons .social {
    list-style: none;
    display: flex;
    gap: 0.75rem;
    margin: 0;
    padding: 0;
}

.contact .contact-cta .cta-wrap .cta-icons a {
    border-radius: var(--border-radius);
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(var(--color-700));
    text-decoration: none;
    color: rgba(var(--color-50));
    border: 1px solid transparent;
}


.contact .contact-cta .cta-wrap .cta-icons a:hover {
    background-color: rgba(var(--color-100), 1);
    transition: all 0.4s ease-in-out;
    border: 1px solid rgba(var(--color-400), 1);
}

.contact .contact-cta .cta-wrap .cta-icons a:hover i {
    color: rgba(var(--color-700));
}